Summary: The client and server for the Trivial File Transfer Protocol (TFTP).
Name: tftp
Version: 0.16
Release: 2mdk
Copyright: BSD
Group: System/Servers
Source: ftp://ftp.uk.linux.org/pub/linux/Networking/netkit/netkit-tftp-%{version}.tar.bz2

Requires: inetd
BuildRoot: %{_tmppath}/%{name}-root

%description
The Trivial File Transfer Protocol (TFTP) is normally used only for
booting diskless workstations.  The tftp package provides the user
interface for TFTP, which allows users to transfer files to and from
a remote machine.  This program, and TFTP, provide very little security,
and should not be enabled unless it is expressly needed.  The TFTP
server is run from /etc/inetd.conf, and is disabled by default on Red
Hat Linux systems.

%prep
%setup -q -n netkit-tftp-%{version}

%build
./configure --prefix=%{_prefix}
make RPM_OPT_FLAGS="$RPM_OPT_FLAGS"

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr/{bin,sbin,man/man1,man/man8}
mkdir -m 0755 -p $RPM_BUILD_ROOT/tftpboot

make INSTALLROOT=$RPM_BUILD_ROOT install


find $RPM_BUILD_ROOT/ -type 'f'|grep -E '.*[0-9]($|x)' | xargs file \
	| grep troff | cut -d: -f1 | xargs bzip2 -9

for i in `find $RPM_BUILD_ROOT/ -type 'f' -perm '+a=x' ! -name 'lib*so*'`; do
	file $i |grep -q "not stripped" && strip $i
done
rm $RPM_BUILD_ROOT/usr/man/man8/tftpd.8
ln -s in.tftpd.8.bz2 $RPM_BUILD_ROOT/usr/man/man8/tftpd.8.bz2

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc README MRULES ChangeLog
/usr/bin/tftp
/usr/man/man1/tftp.1.bz2
/usr/sbin/in.tftpd
/usr/man/man8/in.tftpd.8.bz2
/usr/man/man8/tftpd.8.bz2
%dir /tftpboot

%changelog
* Mon Apr 17 2000 Jeff Garzik <jgarzik@mandrakesoft.com> 0.16-2mdk
- fix changelog, blame me not Chris Molnar for damage...

* Mon Apr 17 2000 Jeff Garzik <jgarzik@mandrakesoft.com> 0.16-1mdk
- version 0.16
- fixed Source URL
- added documentation

* Mon Apr 10 2000 Christopher Molnar <molnarc@mandrakesoft.com> 0.15-2mdk
- Fixed groups

* Sat Nov 06 1999 John Buswell <johnb@mandrakesoft.com>
- 0.15
- Removed version dependencies from spec file
- Build Release

* Wed May 05 1999 Bernhard Rosenkraenzer <bero@mandrakesoft.com>
- Mandrake adaptions

* Wed Apr  7 1999 Jeff Johnson <jbj@redhat.com>
- tftpd should truncate file when overwriting (#412)

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 22)

* Mon Mar 15 1999 Jeff Johnson <jbj@redhat.com>
- compile for 6.0.

* Fri Aug  7 1998 Jeff Johnson <jbj@redhat.com>
- build root

* Mon Apr 27 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Mon Sep 22 1997 Erik Troan <ewt@redhat.com>
- added check for getpwnam() failure

* Tue Jul 15 1997 Erik Troan <ewt@redhat.com>
- initial build
